[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EIntError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Integer operation error.

## Declaration

Source position: sysutilh.inc line 143

`type EIntError = class(EExternal)`

## Inheritance

`EIntError` |  | Integer operation error.
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EInterror is used when the operating system or CPU signals an integer operation error, e.g., an overflow.